[SciPy-user] import scipy seg faults

Hartley, Ed scipy-user@scipy.net
Mon, 10 Feb 2003 15:31:08 -0000


Hi 
the problems I'm having are:
built CVS scipy against Numeric 20.2.0 and got 
Numeric cannot import rank 
error message
imported Numeric then scipy imported OK ran the scipy.test() Ok

So figured that the version of Numeric I was working with put MA etc in 
site-packages not site-packages/Numeric 
so got CVS version of Numeric placed in Numerical underneath scipy tree 
rebuilt Numeric 
rebuilt scipy
ran python imported scipy and got a segmentation fault.

I have since repeated install of both Numeric and SciPy with the install
--force option
with the same result. and repeated above  with non CVS versions of Numeric.

So which versions of Numeric are known to work with the current CVS of SciPy
and
what is needed to get a clean build of SciPy
Regards
Ed Hartley